Skip to main content
GET
/
api
/
artist
/
socials
cURL
curl --request GET \
  --url https://recoup-api.vercel.app/api/artist/socials \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "socials": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "social_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "username": "<string>",
      "profile_url": "<string>",
      "avatar": "<string>",
      "bio": "<string>",
      "follower_count": 123,
      "following_count": 123,
      "region": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total_count": 123,
    "page": 123,
    "limit": 123,
    "total_pages": 123
  }
}

Authorizations

x-api-key
string
header
required

Your Recoup API key. Learn more.

Query Parameters

artist_account_id
string<uuid>
required

The unique identifier of the artist account to fetch social profiles for

Response

Social profiles retrieved successfully

status
enum<string>
required

Status of the request

Available options:
success
socials
object[]
required

List of social media profiles associated with the artist

pagination
object
required

Pagination metadata for the response